Package org.opencv.video

## Class TrackerNano_Params

- java.lang.Object
- - org.opencv.video.TrackerNano_Params

-     public class TrackerNano_Params
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `nativeObj` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `TrackerNano_Params()` |
    `protected` | `TrackerNano_Params​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TrackerNano_Params` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `java.lang.String` | `get_backbone()` |
    `int` | `get_backend()` |
    `java.lang.String` | `get_neckhead()` |
    `int` | `get_target()` |
    `long` | `getNativeObjAddr()` |
    `void` | `set_backbone​(java.lang.String backbone)` |
    `void` | `set_backend​(int backend)` |
    `void` | `set_neckhead​(java.lang.String neckhead)` |
    `void` | `set_target​(int target)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### TrackerNano_Params

          protected TrackerNano_Params​(long addr)

    - #### TrackerNano_Params

          public TrackerNano_Params()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static TrackerNano_Params __fromPtr__​(long addr)

    - #### get_backbone

          public java.lang.String get_backbone()

    - #### set_backbone

          public void set_backbone​(java.lang.String backbone)

    - #### get_neckhead

          public java.lang.String get_neckhead()

    - #### set_neckhead

          public void set_neckhead​(java.lang.String neckhead)

    - #### get_backend

          public int get_backend()

    - #### set_backend

          public void set_backend​(int backend)

    - #### get_target

          public int get_target()

    - #### set_target

          public void set_target​(int target)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`